#!/bin/bash

## Configures pre commit hook for the current repos

set -e

__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

echo "Install deps..."
npm i > /dev/null 2>&1
npm run prepare > /dev/null 2>&1

echo "Configuring git hooks"
cp "${__dir}/src/pre-commit.sh" .git/hooks/pre-commit
echo "Repo correctly configured"